<div class="breadcrumb-container">
    <ol class="breadcrumb">
        <li><a data-ui-sref="dashboard">{{"COMMON.HOME" | translate}}</a></li>
        <li class="active">Event</li>
    </ol>
</div>
<div class="col-md-12 no-padding text-right margin-bottom-10">
    <a class="btn btn-primary btn-xs" data-ng-if="vm.authRepository.isAccessible('EventAddButton')" data-ng-disabled="vm.authRepository.isDisabled('EventAddButton')" data-ui-sref="EventEdit({id:0})">
        Add New Event
    </a>
</div>
<div data-ng-if="!vm.loading">
    <table id="sampleTable" class="table table-bordered table-striped">
        <thead>
            <tr>
                <th>Title</th>
                <th>Description</th>
                <th>Eventbrite Link</th>
                <th>StartDate</th>
                <th>EndDate</th>
                <th>Event Time</th>
                <th>Address</th>
                <th class="text-center">File</th>
                <th>CreatedOn</th>
                <th>Active</th>
                <th width="140"></th>
            </tr>
        </thead>
        <tbody>
            <tr data-ng-repeat="record in vm.recordList" data-on-finish-render data-broadcasteventname="ngRepeatBroadcast1">
                <td>{{record.title}}</td>
                <td>{{record.description}}</td>
                <td>{{record.eventbriteLink}}</td>
                <td>{{record.startDate|dateFilter}}</td>
                <td>{{record.endDate|dateFilter}}</td>
                <td>{{record.eventTime}}</td>
                <td>{{record.address}}</td>
                <td data-ng-if="record.file.path"><img data-ng-src="{{record.file.path}}" width="100"></td>
                <td data-ng-if="record.videoPath"><iframe class="embed-responsive-item" src="{{record.videoPath| trusted}}" width="100" height="100" allow="fullscreen"></iframe></td>
                <td>{{record.createdOn|dateFilter}}</td>
                <td class="text-center"><input type="checkbox" name="inactive" id="inactive" data-ng-model="record.isActive" data-ng-click="vm.recordStatus(record.isActive, record.id);"></td>
                <!--<td class="custom-container"><label class="container"><input type="checkbox" name="inactive" id="inactive" data-ng-model="record.isActive" data-ng-click="vm.recordStatus(record.isActive, record.id);"><span class="checkmark"></span></label></td>-->
                <td class="text-center">
                    <a title="Edit" class="btn btn-primary btn-xs" data-ng-if="vm.authRepository.isAccessible('EventEditButton')" data-ng-disabled="vm.authRepository.isDisabled('EventEditButton')" data-ui-sref="EventEdit({id: record.id})">
                        {{"COMMON.EDIT" | translate}}
                    </a>
                    <a title="Delete" class="btn btn-danger btn-xs" data-ng-if="vm.authRepository.isAccessible('EventDeleteButton')" data-ng-disabled="vm.authRepository.isDisabled('EventDeleteButton')" data-ng-click="vm.remove(record.id)">
                        {{"COMMON.DELETE" | translate}}
                    </a>
                </td>
            </tr>
            <tr class="text-center" data-ng-if="vm.recordList.length == 0">
                <td colspan="12">No records found</td>
            </tr>
        </tbody>
    </table>
</div>
